Subject: Re: [PATCH] ibm_newemac: Increase number of default rx-/tx-buffers

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sat, 12 Jan 2008 09:10:57 +1100

On Fri, 2008-01-11 at 09:48 -0800, Eugene Surovegin wrote:
> On Sat, Jan 05, 2008 at 01:38:17PM +0100, Stefan Roese wrote:
> > On Saturday 05 January 2008, Benjamin Herrenschmidt wrote:
> > > On Sat, 2008-01-05 at 10:50 +0100, Stefan Roese wrote:
> > > > Performance tests done by AMCC have shown that 256 buffer increase the
> > > > performance of the Linux EMAC driver. So let's update the default
> > > > values to match this setup.
> > > >
> > > > Signed-off-by: Stefan Roese <[email-masked]>
> > > > ---
> > >
> > > Do we have the numbers ? Did they also measure latency ?
> > 
> > I hoped this question would not come. ;) No, unfortunately I don't have any 
> > numbers. Just the recommendation from AMCC to always use 256 buffers.
> 
> This cannot be true for all chips. Default numbers I selected weren't 
> random. In particular, 256 for Tx doesn't make a lot of sense for 405. 
> You just gonna waste memory.
> 
> I'd be quite reluctant to follow such advices from AMCC without actual 
> details. 

I think we can make defaults based on other config options nowadays. Not
very nice but we could do things like

	default 128 if PPC_40x
	default 256

Or even more detailed.

Cheers,
Ben.